<?php
session_start();
include ("../BD/conexion_bd.php");
if(!$conexion)
{
	die("error al intentar conectar: " .mysql_error());
}
mysql_query("SET NAMES 'utf8'");// para configurar acentos y eñes

?>
<html> 
<head> 
<script type="text/javascript" src="js/showhide.js"></script>
<link rel="stylesheet" type="text/css" href="css/actividades.css"/>
<link rel="stylesheet" type="text/css" href="css/buttons.css"/>


</head> 
<body> 
<div id="div_title">Actividades Asignadas</div>
<form method="post" action="#">
<div>
  <div class="combo">
  	<table>
    	<tr>
        	<td class="celda" width="180">Mostrar Actividades:
            </td>
            <td>
            	<select tabindex="1" name="actividades">
                <?php
					if(isset($_SESSION["sesion_administrador"]))//ya hay sesion abierta
					{
						$consulta="SELECT user, Nombre, ApellidoP FROM Empleado ORDER BY Nombre";
						$sql=mysql_query($consulta,$conexion);
						$total_registros=mysql_num_rows($sql);
						if($total_registros>0)
						{
							if(isset($_POST['actividades'])&&($_POST['actividades']=='todos'))
								echo "<option value='todos' selected='selected'>De todos los empleados</option>";
							else
								echo "<option value='todos'>De todos los empleados</option>";
								
							while($rowEmp=mysql_fetch_assoc($sql))
							{
								if(isset($_POST['actividades'])&&($_POST['actividades']==$rowEmp['user']))
									echo "<option selected='selected' value='".$rowEmp['user']."'>De ".$rowEmp['Nombre']." ".$rowEmp['ApellidoP']."</option>";
								else
									echo "<option value='".$rowEmp['user']."'>De ".$rowEmp['Nombre']." ".$rowEmp['ApellidoP']."</option>";
							}
						}
						else
							echo "<option><em>- - SIN EMPLEADOS - -</em></option>";
						
					}
				?>
                </select>
            </td>
        </tr>
    </table>
  </div>
  <div class="combo">
  	<table>
    	<tr>
        	<td class="celda" width="180">Periodo:
            </td>
            <td>
            	<select tabindex="2" name="periodo">
                <?php
					if(!isset($_POST['actividades']))
					{
						echo "<option value=\"cualquier\" selected=\"selected\">Desde el inicio</option>\n"; 
						echo "<option value=\"1\">Este mes</option>\n"; 
						echo "<option value=\"2\">&Uacute;ltimos 2 meses</option>\n"; 
						echo "<option value=\"6\">&Uacute;ltimos 6 meses</option>\n"; 
						echo "<option value=\"12\">&Uacute;ltimo año</option>\n";
					}	
					else
					{
						switch($_POST['periodo'])
						{
							case 'cualquier':
								echo "<option value=\"cualquier\" selected=\"selected\">Desde el inicio</option>\n"; 
								echo "<option value=\"1\">Este mes</option>\n"; 
								echo "<option value=\"2\">&Uacute;ltimos 2 meses</option>\n"; 
								echo "<option value=\"6\">&Uacute;ltimos 6 meses</option>\n"; 
								echo "<option value=\"12\">&Uacute;ltimo año</option>\n";
								break;
							case '1':
								echo "<option value=\"cualquier\" >Desde el inicio</option>\n"; 
								echo "<option value=\"1\" selected=\"selected\">Este mes</option>\n"; 
								echo "<option value=\"2\">&Uacute;ltimos 2 meses</option>\n"; 
								echo "<option value=\"6\">&Uacute;ltimos 6 meses</option>\n"; 
								echo "<option value=\"12\">&Uacute;ltimo año</option>\n";
								break;
							case '2':
								echo "<option value=\"cualquier\" >Desde el inicio</option>\n"; 
								echo "<option value=\"1\" >Este mes</option>\n"; 
								echo "<option value=\"2\" selected=\"selected\">Ultimos 2 meses</option>\n"; 
								echo "<option value=\"6\">&Uacute;ltimos 6 meses</option>\n"; 
								echo "<option value=\"12\">&Uacute;ltimo año</option>\n";
								break;
							case '6':
								echo "<option value=\"cualquier\" >Desde el inicio</option>\n"; 
								echo "<option value=\"1\" >Este mes</option>\n"; 
								echo "<option value=\"2\" >&Uacute;ltimos 2 meses</option>\n"; 
								echo "<option value=\"6\" selected=\"selected\">&Uacute;ltimos 6 meses</option>\n"; 
								echo "<option value=\"12\">&Uacute;ltimo año</option>\n";
								break;
							case '12':
								echo "<option value=\"cualquier\" >Desde el inicio</option>\n"; 
								echo "<option value=\"1\" >Este mes</option>\n"; 
								echo "<option value=\"2\" >&Uacute;ltimos 2 meses</option>\n"; 
								echo "<option value=\"6\" >&Uacute;ltimos 6 meses</option>\n"; 
								echo "<option value=\"12\" selected=\"selected\">&Uacute;ltimo año</option>\n";
								break;
								default:
						}
					}
				?>
              	
                </select>
            </td>
        </tr>
    </table>
  </div>
  <div class="combo">
  	<table>
    	<tr>
        	<td class="celda" width="180">Ordenar Por Fecha:
            </td>
            <td>
            	<select tabindex="3" name="fecha">
                <?php
					if(!isset($_POST['fecha']))
						{
							echo "<option value=\"DESC\" selected=\"selected\">Descendente</option>\n"; 
							echo "<option value=\"ASC\">Ascendente</option>\n";
						}
					if(isset($_POST['fecha'])&&($_POST['fecha']=='DESC'))
						{
							echo "<option value=\"DESC\" selected=\"selected\">Descendente</option>\n"; 
							echo "<option value=\"ASC\">Ascendente</option>\n";
						}
					if(isset($_POST['fecha'])&&($_POST['fecha']=='ASC'))
						{
							echo "<option value=\"DESC\" >Descendente</option>\n"; 
							echo "<option value=\"ASC\" selected=\"selected\">Ascendente</option>\n";
						}
				?>
              	
                </select>
                <button tabindex="4" class="clean-gray">ACEPTAR</button>
            </td>
        </tr>
        
    </table>
  </div>
</div>


<div id="contenedor">
<?php
	if(isset($_POST['actividades']))
		echo "<label style=\"font-size:12px; color:#999; font-family:'Trebuchet MS', Arial, Helvetica, sans-serif; font-style:italic; line-height:2px;\">Tareas Encontradas</label>\n";


?>
<hr size="1" width="700" align="left" color="#999999">
<?php
$colors=1;
//aqui van las tareas y subtareas cargadas dinámicamente con php
	if(isset($_POST['actividades'])&&isset($_SESSION["sesion_administrador"]))
		{
			if(($_POST['actividades']=='todos')&&($_POST['periodo']=='cualquier'))//TODOS
				{
					$consulta="SELECT * FROM Tareas ORDER BY Fecha_Inicio ".$_POST['fecha'];
				}
			if(($_POST['actividades']=='todos')&&($_POST['periodo']!='cualquier'))//TODOS, PERIODO ESPECIFICO
				{
					$periodo=$_POST['periodo'];
					$actual=date("m");
					$no_veces=$periodo-1;
					$inicio=$actual;
					$year=date("Y");
					for($i=0;$i<$no_veces;$i++)
					{
						$inicio--;
						if($inicio>0)
						{}
						if($inicio==0)
						{
							$inicio=12;
							$year--;
						}
					}
					$consulta="SELECT * FROM Tareas WHERE Fecha_Inicio BETWEEN '".$year."-".$inicio."-1' AND '".date("Y")."-".date("m")."-31' ORDER BY Fecha_Inicio ".$_POST['fecha'];
				}
			if(($_POST['actividades']!='todos')&&($_POST['periodo']=='cualquier'))//EMPLEADO ESPECIFICO, CUALQUIER PERIODO
				{
					$consulta="SELECT * FROM Tareas, Tareas_has_Empleado WHERE Tareas.id=Tareas_has_Empleado.Tareas_id AND Tareas_has_Empleado.Empleado_user='".$_POST['actividades']."'  ORDER BY Fecha_Inicio ".$_POST['fecha'];
				}
			if(($_POST['actividades']!='todos')&&($_POST['periodo']!='cualquier'))//EMPLEADO ESPECIFICO, PERIODO ESPECIFICO
				{
					$periodo=$_POST['periodo'];
					$actual=date("m");
					$no_veces=$periodo-1;
					$inicio=$actual;
					$year=date("Y");
					for($i=0;$i<$no_veces;$i++)
					{
						$inicio--;
						if($inicio>0)
						{}
						if($inicio==0)
						{
							$inicio=12;
							$year--;
						}
					}
					$consulta="SELECT * FROM Tareas_has_Empleado, Tareas WHERE (Tareas_has_Empleado.Tareas_id=Tareas.id AND Tareas_has_Empleado.Empleado_user='".$_POST['actividades']."') AND Tareas.Fecha_Inicio BETWEEN '".$year."-".$inicio."-1' AND '".date("Y")."-".date("m")."-31' ORDER BY Fecha_Inicio ".$_POST['fecha'];
				}
					$sql=mysql_query($consulta,$conexion);
					$total_registros_tareas=mysql_num_rows($sql);
					if($total_registros_tareas>0)
					{
						while($rowEmp=mysql_fetch_assoc($sql))
						{
							$signo=$colors*(-1);
							$cf="SELECT Finalizado FROM Tareas WHERE id=".$rowEmp['id']; 
							$consulta_cf=mysql_query($cf,$conexion);
							$row_cf=mysql_fetch_assoc($consulta_cf);
							if($row_cf['Finalizado']==0)
								$finalizado="";
							else
								$finalizado="(COMPLETA)";
							//verificando si la tarea actual tiene subtarea(s)
							$consulta_sub="SELECT Sub_Tareas.id FROM Sub_Tareas WHERE Sub_Tareas.Tareas_id=".$rowEmp['id'];
							$sql_sub=mysql_query($consulta_sub,$conexion);
							$total_registros=mysql_num_rows($sql_sub);
							if($total_registros==0)// NO HAY SUBTAREAS, desplegar tarea
							{
								
								echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" id=\"$colors\" onClick=\"showhide('$signo','$colors')\">[+]</a> <label id=\"nombre_tarea\">".$rowEmp['Nombre_Tarea']." "."<span style=\"font-size:10px; color:#CCC\">".$finalizado."</span></label> \n"; 
								echo "<div style=\"display:none;\" id=\"$signo\">\n"; 
								echo "<table class=\"tabla_tarea\" id=\"$signo\"    border=\"0\" >\n"; 
								echo "  <tr>\n"; 
								echo "    <td colspan=\"3\" class=\"fecha_creacion\">Fecha de Creacion: ".substr($rowEmp['Fecha_Creacion'],8,2)."/".substr($rowEmp['Fecha_Creacion'],5,2)."/".substr($rowEmp['Fecha_Creacion'],0,4)."&nbsp;&nbsp;".substr($rowEmp['Fecha_Creacion'],-8,8)."</td>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "    <td class=\"descripcion\" colspan=\"3\"><label>Descripci&oacute;n:</label> <br>\n"; 
								echo       	$rowEmp['Descripcion_Detallada']; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "        <td class=\"empleadostabla\" rowspan=\"\" colspan=\"\">"; 
								echo "				<div style=\"width:15%; float:left; font-size:12px; height:35px;text-align:center; line-height:35px; margin-bottom:5px;\">Notificado</div>\n"; 
								echo "            	<div style=\"width:20%; float:left;  font-size:12px; height:35px; margin-bottom:5px;text-align:center;\">Tarea <br>Finalizada</div>\n"; 
								echo "            	<div style=\"width:65%; float:left;  font-size:12px; height:35px; line-height:35px; margin-bottom:5px;\">Empleados Asignados:<br></div>\n"; 
													$consulta_empleados="SELECT Empleado.Nombre, Empleado.ApellidoP, Empleado.ApellidoM, Tareas_has_Empleado.Notificado, Tareas_has_Empleado.Finalizado, Tareas_has_Empleado.Empleado_user FROM Empleado, Tareas_has_Empleado WHERE Empleado.user=Tareas_has_Empleado.Empleado_user AND Tareas_has_Empleado.Tareas_id=".$rowEmp['id'];
													$sql_empleados=mysql_query($consulta_empleados,$conexion);
													while($row_Empleados=mysql_fetch_assoc($sql_empleados))
													{
														echo "<div style=\"width:15%; float:left; text-align:center; height:20px;\"><img src=\"".$row_Empleados['Notificado'].".png\"></div><div style=\"width:20%; float:left; text-align:center; height:20px;\"><img src=\"".$row_Empleados['Finalizado'].".png\"></div><div style=\"float:left;width:65%; height:20px;\">".$row_Empleados['Nombre']." ".$row_Empleados['ApellidoP']." ".$row_Empleados['ApellidoM']." "."</div>\n";
													}
								echo "        <td colspan=\"2\" class=\"fechas_tarea\"><label>Fecha de Inicio: </label>".substr($rowEmp['Fecha_Inicio'],-2,2)."/".substr($rowEmp['Fecha_Inicio'],5,2)."/".substr($rowEmp['Fecha_Inicio'],0,4)."<br>\n"; 
												if(substr($rowEmp['Fecha_Termino'],0,4)=="0000")
													$fecha_termino="No Def.";
												else
													$fecha_termino=substr($rowEmp['Fecha_Termino'],-2,2)."/".substr($rowEmp['Fecha_Termino'],5,2)."/".substr($rowEmp['Fecha_Termino'],0,4);
								echo "        	<label>Fecha de Termino:</label> ".$fecha_termino."<br><br>\n"; 
								echo "			<label>Prioridad: ".$rowEmp['Prioridad']."</label>";
								echo "        </td>\n"; 
								echo "  </tr>\n";
								echo "  <tr  >\n";
										$cf="SELECT Finalizado FROM Tareas WHERE id=".$rowEmp['id']; 
										$consulta_cf=mysql_query($cf,$conexion);
										$row_cf=mysql_fetch_assoc($consulta_cf);
										
										if($row_cf['Finalizado']==0)
												$finalizado="No";
											else
												$finalizado="Si";
								echo "<td class=\"ultima_fila\">Finalizado: <em>".$finalizado."</em></td>\n"; 
								echo "<td class=\"ultima_fila\"></td>\n"; 
								echo "  </tr>\n"; 
								echo "</table>\n"; 
								echo "</div>\n"; 
								echo "<hr size=\"1\" width=\"700\" align=\"left\" color=\"#999999\"> \n";
							}
							else//desplegar el formato de tarea con subtarea(s)
							{
								echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" id=\"$colors\" onClick=\"showhide('$signo','$colors')\">[+]</a> <label id=\"nombre_tarea\">".$rowEmp['Nombre_Tarea']." "."<span style=\"font-size:10px; color:#CCC\">".$finalizado."</span></label> \n"; 
								echo "<div style=\"display:none;\" id=\"$signo\">\n"; 
								echo "<table class=\"tabla_tarea\" id=\"$signo\"    border=\"0\" >\n"; 
								echo "  <tr>\n"; 
								echo "    <td colspan=\"3\" class=\"fecha_creacion\">Fecha de Creacion: ".substr($rowEmp['Fecha_Creacion'],8,2)."/".substr($rowEmp['Fecha_Creacion'],5,2)."/".substr($rowEmp['Fecha_Creacion'],0,4)."&nbsp;&nbsp;".substr($rowEmp['Fecha_Creacion'],-8,8)."</td>\n"; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "    <td class=\"descripcion\" colspan=\"3\"><label>Descripci&oacute;n:</label> <br>\n"; 
								echo       	$rowEmp['Descripcion_Detallada']; 
								echo "  </tr>\n"; 
								echo "  <tr>\n"; 
								echo "        <td class=\"empleadostabla\" rowspan=\"\" colspan=\"\">"; 
								echo "				<div style=\"width:15%; float:left; font-size:12px; height:35px;text-align:center; line-height:35px; margin-bottom:5px;\">Notificado</div>\n"; 
								echo "            	<div style=\"width:20%; float:left;  font-size:12px; height:35px; margin-bottom:5px;text-align:center;\">Tarea <br>Finalizada</div>\n"; 
								echo "            	<div style=\"width:65%; float:left;  font-size:12px; height:35px; line-height:35px; margin-bottom:5px;\">Empleados Asignados:<br></div>\n"; 
													$consulta_empleados="SELECT Empleado.Nombre, Empleado.ApellidoP, Empleado.ApellidoM, Tareas_has_Empleado.Notificado, Tareas_has_Empleado.Finalizado, Tareas_has_Empleado.Empleado_user FROM Empleado, Tareas_has_Empleado WHERE Empleado.user=Tareas_has_Empleado.Empleado_user AND Tareas_has_Empleado.Tareas_id=".$rowEmp['id'];
													$sql_empleados=mysql_query($consulta_empleados,$conexion);
													while($row_Empleados=mysql_fetch_assoc($sql_empleados))
													{
														echo "<div style=\"width:15%; float:left; text-align:center; height:20px;\"><img src=\"".$row_Empleados['Notificado'].".png\"></div><div style=\"width:20%; float:left; text-align:center; height:20px;\">--</div><div style=\"float:left;width:65%; height:20px;\">".$row_Empleados['Nombre']." ".$row_Empleados['ApellidoP']." ".$row_Empleados['ApellidoM']." "."</div>\n";
													}
								echo "        <td colspan=\"2\" class=\"fechas_tarea\"><label>Fecha de Inicio: </label>".substr($rowEmp['Fecha_Inicio'],-2,2)."/".substr($rowEmp['Fecha_Inicio'],5,2)."/".substr($rowEmp['Fecha_Inicio'],0,4)."<br>\n"; 
												if(substr($rowEmp['Fecha_Termino'],0,4)=="0000")
													$fecha_termino="No Def.";
												else
													$fecha_termino=substr($rowEmp['Fecha_Termino'],-2,2)."/".substr($rowEmp['Fecha_Termino'],5,2)."/".substr($rowEmp['Fecha_Termino'],0,4);
								echo "        	<label>Fecha de Termino:</label> ".$fecha_termino."<br><br>\n"; 
								echo "			<label>Prioridad: ".$rowEmp['Prioridad']."</label>";
								echo "        </td>\n"; 
								echo "  </tr>\n";
								echo "  <tr  >\n"; 
										if($rowEmp['Finalizado']==0)
												$finalizado="No";
											else
												$finalizado="Si";
								echo "<td class=\"ultima_fila\">Finalizado: <em>".$finalizado."</em></td>\n"; 
								echo "<td class=\"ultima_fila\">".$rowEmp['Porcentaje_Completo']."% Completado</td>\n"; 
								echo "  </tr>\n"; 
								echo "</table>\n"; 
									
					 
								echo "<div id=\"subtareas\"> \n"; 
									$consulta_subtareas="SELECT * FROM Sub_Tareas WHERE Tareas_id=".$rowEmp['id'];
									$sql_subtareas=mysql_query($consulta_subtareas,$conexion);
									while($row_subtareas=mysql_fetch_assoc($sql_subtareas))
									{
										if($row_subtareas['Finalizado'])
											$sub_finalizada=" (COMPLETA)";
										else
											$sub_finalizada="";
										$colors++;
										$signo=$colors*(-1);
										echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" id=\"$signo\" onClick=\"showhide('$colors','$signo')\">[+]</a> <label id=\"nombre_tarea\">".$row_subtareas['Nombre_Tarea']." "."<span style=\"font-size:10px; color:#CCC\">".$sub_finalizada."</span></label> \n"; 
										echo "\n"; 
										echo "<table class=\"tabla_subtarea\" id=\"$colors\" style=\"display:none;\"    border=\"0\" >\n"; 
										echo "  \n"; 
										echo "  <tr>\n"; 
										echo "    <td class=\"descripcion_subtarea\" colspan=\"3\"><label>Descripcion:</label> <br>\n"; 
										echo 		$row_subtareas['Descripcion_Detallada']; 
										echo "  </tr>\n"; 
										echo "  <tr>\n"; 
										echo "        <td class=\"empleados_subtarea\" rowspan=\"\" colspan=\"\"><label>Empleados Asignados:</label>\n"; 
										echo "        	<ul>\n"; 
																$consulta_empleados="SELECT Empleado.user, Empleado.Nombre, Empleado.ApellidoP FROM Empleado, Tareas_has_Empleado WHERE Empleado.User=Tareas_has_Empleado.Empleado_user and Tareas_has_Empleado.Tareas_id=".$rowEmp['id'];
													  $sql_empleados=mysql_query($consulta_empleados,$conexion);
																while($row_Empleados=mysql_fetch_assoc($sql_empleados))
																  {
																		echo "<li type=\"disc\">".$row_Empleados['Nombre']." ".$row_Empleados['ApellidoP']."</li>\n";
																  } 
										echo "       	</ul></td>\n"; 
										echo "        <td class=\"fechas_subtarea\"><label>Fecha de Inicio:</label> ".substr($row_subtareas['Fecha_Inicio'],-2,2)."/".substr($row_subtareas['Fecha_Inicio'],5,2)."/".substr($row_subtareas['Fecha_Inicio'],0,4)."<br>\n"; 
														if(substr($row_subtareas['Fecha_Termino'],0,4)=="0000")
															$fecha_termino="No Def.";
														else
															$fecha_termino=substr($row_subtareas['Fecha_Termino'],-2,2)."/".substr($row_subtareas['Fecha_Termino'],5,2)."/".substr($row_subtareas['Fecha_Termino'],0,4);
													
										echo "        	<label>Fecha de Termino:</label> ".$fecha_termino."\n"; 
										echo "        </td>\n"; 
										echo "        <td class=\"prioridad_subtarea\">\n"; 
										echo "        	Prioridad: ".$row_subtareas['Prioridad']."\n"; 
										echo "        </td>\n"; 
										echo "  </tr>\n"; 
										echo "  <tr>\n"; 
										echo "  </tr>\n"; 
										echo "  <tr  >\n"; 
										echo "      <td class=\"ultima_fila_subtarea\"></td>\n"; 
										echo "      <td class=\"ultima_fila_subtarea\"></td>\n"; 
														if($row_subtareas['Finalizado']==0)
															$finalizado="No";
														else
															$finalizado="Si";
										echo "      <td class=\"ultima_fila_subtarea\">Finalizado: <em>".$finalizado."</em>\n"; 
										echo "      </td>\n"; 
										echo "  </tr>\n"; 
										echo "</table>\n"; 
										echo "\n"; 
										echo "\n"; 
										echo "<br>\n"; 
									}
									
									
									
								echo "</div>\n"; 
								echo "</div>\n";
								echo "<hr size=\"1\" width=\"700\" align=\"left\" color=\"#999999\"> \n";
							}
						$colors++;
						}
					}
				
		}
		mysql_close($conexion);
?>


</div>
</form>
</body> 
</html> 